Bug 242267 - Pirut crashs when installing gcc
Pirut crashs when installing gcc
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-06-02 16:45 EDT by Sachin Athreya
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-08 21:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Pirut crash Report (1.54 KB, text/plain)
2007-06-02 16:45 EDT, Sachin Athreya
no flags Details
Pirut crash report on 06.08.2007 (1.53 KB, text/plain)
2007-06-09 00:49 EDT, Sachin Athreya
no flags Details

  None (edit)
Description Sachin Athreya 2007-06-02 16:45:59 EDT
Description of problem: Pirut crashes when updating "Development Libraries"(gc,
gc++, python) from Network.

Version-Release number of selected component (if applicable):

How reproducible: This problem also occurs when installing other software from

Steps to Reproduce: N.A
1. Select "Add Remove Software"
2. Check "Development Libraries".
3. Select "Apply".
Actual results: Pirut crashes each time.

Additional info:Crash report addded in the attachment.
Comment 1 Sachin Athreya 2007-06-02 16:45:59 EDT
Created attachment 155997 [details]
Pirut crash Report
Comment 2 Jeremy Katz 2007-06-04 16:10:37 EDT
What versions of yum and pirut do you have installed?
Comment 3 Sachin Athreya 2007-06-05 01:26:24 EDT
Pirut version:
Yum - 3.0-noarch

Let me know if you need more details.
Comment 4 Jeremy Katz 2007-06-05 11:01:26 EDT
Can you try running 'yum update pirut yum' and then see if you can reproduce
Comment 5 Sachin Athreya 2007-06-09 00:49:08 EDT
Created attachment 156636 [details]
Pirut crash report on 06.08.2007


I did as you have told - running "yum update pirut yum", but I do get the
"same" crash. I have attached the crash report. Do you know what seems to be
the problem?
Is there anyway I can trouble shoot myself?
Comment 6 Jeremy Katz 2007-08-21 13:28:16 EDT
Okay, figured it out.  Can work around by updating glibc first.  And this will
be fixed in the next yum update.
Comment 7 Sachin Athreya 2007-10-06 02:45:37 EDT
"Can work around by updating glibc first".

I have installed glibc - but I am still not able to install gcc. Do I need to
wait until the next yum update?
Comment 8 Jeremy Katz 2007-10-08 21:08:47 EDT
If you do 'yum update glibc' first, it will work.

Note You need to log in before you can comment on or make changes to this bug.